const mongoose = require('mongoose');
const config = require('../config/database');

const RequestSchema = mongoose.Schema({
  from: String,
  to: String,
  officeId: String,
  requestAmt: String,
  isApproved: { type: Boolean, default: false },
  approvedDate: { type: Date },
  createdAt: { type: Date, default: Date.now() }
});

const Request = (module.exports = mongoose.model('request', RequestSchema));

module.exports.addRequest = (newRequest, callback) => {
  newRequest.save(callback);
};

module.exports.getRequestById = (id, callback) => {
  Request.findById(id, callback);
};

module.exports.getAllRequests = callback => {
  Request.find(callback);
};
