const mongoose = require('mongoose');
const config = require('../config/database');
const bcrypt = require('bcryptjs');

const OldProfileSchema = mongoose.Schema({
  username: { type: String },
  name: { type: String },
  gender: { type: String },
  wallet: { type: JSON },
  officeId: { type: String },
  cities: { type: Array, default: [] },
  role: { type: String },
  leads: { type: Array, default: [] },
  owner: { type: JSON },
  password: { type: String },
  hashPassword: { type: String }
});

const OldProfile = (module.exports = mongoose.model(
  'OldProfile',
  OldProfileSchema
));

module.exports.addProfile = (newoldProfile, callback) => {
  newoldProfile.save(callback);
};

module.exports.getProfileById = (id, callback) => {
  OldProfile.findById(id, callback);
};

module.exports.getProfiles = callback => {
  OldProfile.find(callback);
};
